Subject: bug#12672: Wrong path to funclib.sh

From: Peter Rosin <[email-masked]>
Date: Thu, 18 Oct 2012 17:16:06 +0200

Hi!

If I "make dist" in Cygwin, then extract the tarball
and configure it from a freshly created build dir, it
works just fine.

I.e.

$ cd /home/peda/libtool/git/cygwin
$ make dist
...
$ tar xf libtool-2.4.2.296-cfcb-dirty.tar.gz
$ cd libtool-2.4.2.296-cfcb-dirty
$ mkdir cyg
$ cd cyg
$ ../configure
...
$ make
...
$

So far so good, but if I then switch to MSYS/MinGW, which does not
have the same file system layout, I get:

$ cd /c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty
$ mkdir mgw
$ cd mgw
$ ../configure
...
$ make
  GEN    libtoolize
  GEN    libltdl/argz.h
make  all-recursive
make[1]: Entering directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
Making all in .
make[2]: Entering directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
  CC     libltdl/loaders/libltdl_libltdl_la-preopen.lo
./libtool: line 525: /home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh: No such file or directory
make[2]: *** [libltdl/loaders/libltdl_libltdl_la-preopen.lo] Error 1
make[2]: Leaving directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
make: *** [all] Error 2
$

/home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh
isn't what you should use from MSYS, that file is called
/c/Cygwin/home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh
from that side of the fence.

I have also checked to just build a pristine tarball from
the MSYS side, without building on Cygwin first, same problem.
It appears that the path to funclib.sh is fixed during
bootstrap which of course is totally b0rked.

Cheers,
Peter